
class AxesContainer:

    def __init__(self, ax, fig):
        self.ax = ax
        self.fig = fig
        self._bkg = None

    def __repr__(self):
        return repr(self.ax)


    def _save_bkg(self):
        self._bkg = self.fig.canvas.copy_from_bbox(self.ax.bbox)

    def _restore_bkg(self):
        if self._bkg:
            self.fig.canvas.restore_region(self._bkg)

    def _blit(self):
        self.fig.canvas.blit(self.ax.bbox)



